cmake_minimum_required(VERSION 2.8)
include(check_utils.cmake)

if(NOT DEFINED TARGET_FILE OR NOT DEFINED PROJECT_NAME)
    message(FATAL_ERROR "Unable to find TARGET_FILE or PROJECT_NAME variables")
    return()
endif(NOT DEFINED TARGET_FILE OR NOT DEFINED PROJECT_NAME)

if(DEFINED GUID)
    set(_RESULT)
    check_project_guid("${TARGET_FILE}" "${PROJECT_NAME}" "${GUID}" _RESULT)
    
    if(NOT _RESULT)
        message(FATAL_ERROR "The project with GUID=${GUID} wasn't found")
        return()
    endif(NOT _RESULT)
endif(DEFINED GUID)

if(DEFINED TYPE)
    set(_RESULT)
    check_project_type("${TARGET_FILE}" "${PROJECT_NAME}" "${TYPE}" _RESULT)
    
    if(NOT _RESULT)
        message(FATAL_ERROR "The project with TYPE=${TYPE} wasn't found")
        return()
    endif(NOT _RESULT)
endif(DEFINED TYPE)

if(DEFINED PLATFORM)
    set(_RESULT)
    check_custom_platform("${TARGET_FILE}" "${PROJECT_NAME}" "${PLATFORM}" _RESULT)
    
    if(NOT _RESULT)
        message(FATAL_ERROR "Configuration section with platfrorm name \"${PLATFORM}\" wasn't found")
        return()
    endif(NOT _RESULT)
endif(DEFINED PLATFORM)

# all checks succeeded
message("OK")
